Get audio generation
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/generations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "eleven_v3",
"status": "queued",
"outputs": {
"audios": [
{
"url": "<string>",
"contentType": "<string>",
"bytes": 123,
"expiresAt": "2023-11-07T05:31:56Z"
}
]
},
"usage": {
"inputCharacters": 123,
"billableCharacters": 123,
"chargedUsd": 123
},
"phase": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Generations
Get audio generation
Get audio generation. See the Audio API guide for limits, lifecycle and examples.
GET
/
audio
/
generations
/
{id}
Get audio generation
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/generations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "eleven_v3",
"status": "queued",
"outputs": {
"audios": [
{
"url": "<string>",
"contentType": "<string>",
"bytes": 123,
"expiresAt": "2023-11-07T05:31:56Z"
}
]
},
"usage": {
"inputCharacters": 123,
"billableCharacters": 123,
"chargedUsd": 123
},
"phase": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}See the Audio API guide for request examples, limits, billing and delivery behavior.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Available options:
eleven_v3, eleven_v4, eleven_v4_turbo Available options:
queued, processing, succeeded, failed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes